#ifndef NESPULSE_H
#define NESPULSE_H

extern unsigned char pulse1_regs[4];
extern unsigned char pulse2_regs[4];

typedef struct
{
    unsigned char count;
    unsigned char countdown;
} pulse_data;

extern pulse_data pulse1_data;
extern pulse_data pulse2_data;

void Update_NES_Pulse(channel *c);
void Update_Pulse_Counter(channel *c);
void Set_Pulse_Counter(pulse_data *c, unsigned char count);

#endif
