#include "io.h"

unsigned char port1data[3] = {0,0,1};
unsigned char port2data[3] = {0,0,1};
unsigned char port1latch, port2latch;
unsigned char port1count = 0, port2count = 0,
    port1index = 0, port2index = 0;

unsigned char Read_IO_Register(unsigned short addr)
{
    unsigned char ret = 0x40;
    switch (addr)
    {
    case 0x4016:
	ret |= port1latch & 1;
	port1latch >>= 1;
	port1count++;
	if (port1count > 7)
	{
	    port1index++;
	    if (port1index > 2)
		port1index = 0;
	    port1latch = port1data[port1index];
	    port1count = 0;
	}
	break;
    case 0x4017:
	ret |= port2latch & 1;
	port2latch >>= 1;
	port2count++;
	if (port2count > 7)
	{
	    port2index++;
	    if (port2index > 2)
		port2index = 0;
	    port2latch = port2data[port2index];
	    port2count = 0;
	}
	break;
    }
    return ret;
}

void Write_IO_Register(unsigned short addr, unsigned char value)
{
    switch (addr)
    {
    case 0x4016:
    case 0x4017:
	port1index = 0;
	port1latch = port1data[0];
	port1count = 0;
//	break;

	port2index = 0;
	port2latch = port2data[0];
	port2count = 0;
	break;	
    }
}
